Subject: Uncaught TYPO3 Exception in RTE when using FAL makes the tceform unusable for editors

Description

TYP36.0.4

1.) Create a content element that uses rte in the backend.

2.) In the rte create a link to a file or a path that doesn't exist (anymore).
3.) Save and reload the tceform.

You will get this error:

Uncaught TYPO3 Exception

TYPO3\CMS\Core\Resource\Exception\FileDoesNotExistException thrown in file
/var/www/vhosts/domain.com/httpdocs/typo3/sysext/core/Classes/Resource/Driver/AbstractDriver.php in line 399.

14 TYPO3\CMS\Core\Resource\Driver\AbstractDriver::getFile("veranstaltungen/seminarpauschalen/")

This makes it virtually impossible to use TYPOS 6.0 as an editor right now, because the editor has no way to fix this minor mistake in
the link. You would have to directly edit the database field in an external tool because tceform itself becomes unusable.

Related issues:

related to Core - Bug # 48181: Opening an image wit text element fails after ... Closed 2013-05-14
related to Core - Bug # 48956: Copying a link to a non-exisiting location int... Closed 2013-06-08
duplicates Core - Bug # 46785: FileDoesNotExistException Resolved 2013-03-29
History

#1 - 2013-04-20 11:52 - Ben van 't Ende

| can confirm similar behaviour in 6.1beta2. | changed the path for an image in the RTE, because of failed migration and that throws this error:

#1320575630: Folder migrated/RTE/RTEmagicC_inspiring-flow-head_01.png.png does not exist. (More information)

TYPO3\CMS\Core\Resource\Exception\FolderDoesNotExistException thrown in file

/home/typo3_src/typo3_src-6.1.0beta2/typo3/sysext/core/Classes/Resource/ResourceStorage.php in line 1638.

#2 - 2013-04-23 09:21 - Sebastian Koch

As a temporary(!!!) work around to fix the corrupted link just change the code in the following way:

/I THIS IS line 399 in AbstractDriver.php
public function getFile($identifier) {

// TEMPORARY FIX Remove Exception handling

// RETURN NULL

Now you can edit the link and then better move back to the original code.

#3 - 2013-05-07 09:21 - Philipp Mueller

Also in 6.0.5

#4 - 2013-05-07 10:07 - Alexander Opitz
- Status changed from New to Closed

Closed as duplicate of #46785

#5 - 2013-05-07 10:39 - Gerrit Code Review
- Status changed from Closed to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/20570

#6 - 2013-05-07 10:41 - Alexander Opitz
- Status changed from Under Review to Closed

#7 - 2013-05-22 16:54 - Simon Schick
| got this exception when creating an external link to a page having the same domain-name as the page managed in TYPOS3. Because | use
seo-friendly URLs, the URL must have looked like a folder to the system ... and because it had a domain that was registered to this TYPO3 instance, it

tried to open it as a folder ...

Don't know if this issue should be addressed anywhere else ... | think external links are not worth checking, are they?
